<?php

namespace App\Interfaces\Equipment;

use App\Entities\Equipment\ServerEntity;

interface ServerInterface extends EquipmentInterface
{
  public function setServer(ServerPartEntity $serverPartEntity): ServerPartEntity;
  public function modifServerPart(ServerPartEntity $serverPartEntity): ServerPartEntity;
  public function deleteServerPart(ServerPartEntity $serverPartEntity): ServerPartEntity;
}
